package dbc.r15.sample.b4xxntjr;

public class CQlineWrapper {
	private final int[] QLINE_C_BUFFER = {0, 132};
	private final int[] QLINE_C1 = {0, 32};
	private final int[] FILLER1 = {32,1};
	private final int[] QLINE_C2 = {33, 9};
	private final int[] FILLER2 = {42,1};
	private final int[] QLINE_C3 = {43, 9};
	private final int[] FILLER3 = {52,1};
	private final int[] QLINE_C4 = {53, 9};
	private final int[] FILLER4 = {62,1};
	private final int[] QLINE_C5 = {63, 4};
	private final int[] FILLER5 = {67,1};
	private final int[] QLINE_C6 = {68, 4};
	private final int[] FILLER6 = {72,1};
	private final int[] QLINE_C7 = {73, 16};
	private final int[] FILLER7 = {89,1};
	private final int[] QLINE_C8 = {90, 15};
	private final int[] FILLER8 = {105,1};
	private final int[] QLINE_C9 = {106, 9};
	private final int[] FILLER9 = {114,17};
		// Variable to hold the binary data in the container
		private byte[] qData;
		// Set the binary value of the container
		public void setByteArray(byte[] data) { qData = data;}
		// Get the binary value of the container
		public byte[] getByteArray() {return qData;}
		public String getBuffer() {return new String(qData, 0, qData.length);
		}
		public void setBuffer(String newValue) {setNewValue(newValue, QLINE_C_BUFFER[0], QLINE_C_BUFFER[1]);
		}
		public void setQlineC1(String newValue) {setNewValue(newValue, QLINE_C1[0], QLINE_C1[1]);
		}
		public void setQlineC2(String newValue) {setNewValue(newValue, QLINE_C2[0], QLINE_C2[1]);
		}
		public void setQlineC3(String newValue) {setNewValue(newValue, QLINE_C3[0], QLINE_C3[1]);
		}
		public void setQlineC4(String newValue) {setNewValue(newValue, QLINE_C4[0], QLINE_C4[1]);
		}
		public void setQlineC5(String newValue) {setNewValue(newValue, QLINE_C5[0], QLINE_C5[1]);
		}
		public void setQlineC6(String newValue) {setNewValue(newValue, QLINE_C6[0], QLINE_C6[1]);
		}
		public void setQlineC7(String newValue) {setNewValue(newValue, QLINE_C7[0], QLINE_C7[1]);
		}
		public void setQlineC8(String newValue) {setNewValue(newValue, QLINE_C8[0], QLINE_C8[1]);
		}
		public void setQlineC9(String newValue) {setNewValue(newValue, QLINE_C9[0], QLINE_C9[1]);
		}
		
		private void setNewValue(String newValue, int index, int length) {
	/* 1. create a new byte array to hold the string called tData for temporary data
	 * 2. copy the new tData byte array to the cData byte array one byte at a time Left Justified
	 * 3. pad the cData with spaces up to the length passed in on the call 
	 */
			byte tData[] = newValue.getBytes();		// .step 1.
			int tDatalen = tData.length;
			int pDatalen = qData.length;
			int i = 0;
			while ( i < length && index < pDatalen)
			{
				if ( i < tDatalen )
					qData[index++] = tData[i];
				else
					qData[index++] = 0x40;			
				i++;
			}
		}
}
