package dbc.r15.sample.dccjcpr;

public class PersonelRqstArea {
	String rqstCommand;                         // pmf command 5 chars   
	String fileName;                            // pmf file name 3 chars 
	String keyName;                             // pmf key nanme 5 chars 
	String returnCode;                          // pmf return code 2 chars
	byte   recordId;                            // pmf record id 1 byte 
	short  dataBaseId;                          // pmf database id 2 bytes
	byte[] rsvOne;                              // pmf filler1 7 bytes
	String actCode;                             // pmf account code 1 char
	byte[] rsvTwo;                              // pmf filler2 50 bytes 
	String stateCode;                           // pmf state code 2 chars
	String zipCode;                             // pmf zip code 5 chars   
	                                                                    
	PersonelRqstArea (String rqc, String fnm, String knm, String rc,                
	            byte rid, short dbid, byte[] rzv1, String ac, byte[] rzv2, String scd, String zcd) {          
	       this.rqstCommand  = rqc;             // "LOCKY"                        
	       this.fileName     = fnm;             // "PMF"                        
	       this.keyName      = knm;             // "STZIP"                        
	       this.returnCode   = rc;              // "  "                      
 	       this.recordId     = rid;				// (byte)0x00                                     
	       this.dataBaseId   = dbid;            // X'0001'                         
	       this.rsvOne       = rzv1;			//  
	       this.actCode      = ac;  			// " "
	       this.rsvTwo       = rzv2;            //               
	       this.stateCode    = scd;             // "TX"                        
	       this.zipCode      = zcd;             // "00000"                        
	}                                                                   
}
