package dbc.r15.sample.b4xxntjr;

public class CommareaWrapper {
	private final int[] CA_BUFFER = {0, 65};
	private final int[] CA_BID = {0, 9};
	private final int[] CA_TID = {9, 9};
	private final int[] CA_AID = {18, 9};
	private final int[] CA_DELTA = {27, 10};
	private final int[] CA_TRANNUM = {37, 15};
	private final int[] CA_TRANCOUNT = {52, 9};
	private final int[] CA_DBID = {61, 4};
	// Variable to hold the binary data in the container
	private byte[] caData;
	// Set the binary value of the container
	public void setByteArray(byte[] data) { caData = data;}		// Get the binary value of the container
	public byte[] getByteArray() {return caData;}
	public String getBuffer() {return new String(caData,CA_BUFFER[0], CA_BUFFER[1]);
	}
	public void setBid(String newValue) {setNewValue(newValue, CA_BID[0], CA_BID[1]);
	}
	public String getBid() {return new String(caData,CA_BID[0], CA_BID[1]);
	}
	public void setTid(String newValue) {setNewValue(newValue, CA_TID[0], CA_TID[1]);
	}
	public String getTid() {return new String(caData,CA_TID[0], CA_TID[1]);
	}
	public void setAid(String newValue) {setNewValue(newValue, CA_AID[0], CA_AID[1]);
	}
	public String getAid() {return new String(caData,CA_AID[0], CA_AID[1]);
	}
	public void setDelta(String newValue) {setNewValue(newValue, CA_DELTA[0], CA_DELTA[1]);
	}
	public String getDelta() {return new String(caData,CA_DELTA[0], CA_DELTA[1]);
	}
	public void setTrannum(String newValue) {setNewValue(newValue, CA_TRANNUM[0], CA_TRANNUM[1]);
	}
	public String getTrannum() {return new String(caData,CA_TRANNUM[0], CA_TRANNUM[1]);
	}
	public void setTrancount(String newValue) {setNewValue(newValue, CA_TRANCOUNT[0], CA_TRANCOUNT[1]);
	}
	public String getTrancount() {return new String(caData,CA_TRANCOUNT[0], CA_TRANCOUNT[1]);
	}
	public void setDbid(String newValue) {setNewValue(newValue, CA_DBID[0], CA_DBID[1]);
	}
	public String getDbid() {return new String(caData,CA_DBID[0], CA_DBID[1]);
	}
	/* Inserts a value into the main byte[] and pads with spaces if necessary.
	 * Note: values will be left justified
	 */
	private void setNewValue(String newValue, int index, int length) {
		/* 1. create a new byte array to hold the string called tData for temporary data
		 * 2. copy the new tData byte array to the cData byte array one byte at a time
		 * 3. pad the cData with spaces up to the length passed in on the call 
		 */
		byte tData[] = newValue.getBytes();		// .step 1.
		int tDatalen = tData.length;
		int cDatalen = caData.length;
		int i = 0;
		while ( i < length && index < cDatalen)
		{
			if ( i < tDatalen )
				caData[index++] = tData[i];
			else
				caData[index++] = 0x40;			
			i++;
		}
	}
}
