package dbc.r15.sample.b4xxntju;

public class DQlineWrapperU {
	// quite a bit different from the DQlineWrapperU of the b4xxntjr 
	private final int[] QLINE_D_BUFFER = {0, 132};	// is supposed to be 180; TDQ is too short to write it out
	private final int[] QLINE_D1 = {0, 15};			// char		
	private final int[] QLINE_D2 = {15, 9};			// decimal bytes
	private final int[] QLINE_D5 = {24, 6};			// char
	private final int[] QLINE_D6 = {30, 9};			// decimal bytes
	private final int[] QLINE_D7 = {39, 17};		// char
	private final int[] QLINE_D8 = {56, 2};			// char
	private final int[] FILLER01 = {58, 1};			// decimal bytes
	private final int[] QLINE_D9 = {59, 5};			// decimal bytes
	private final int[] QLINE_D3 = {64, 6};			// char
	private final int[] QLINE_D4 = {70, 7};			// decimal bytes
	private final int[] QLINE_D10 = {77, 6};		// char
	private final int[] QLINE_D11 = {83, 12};		// char
	private final int[] FILLER02 = {95 , 37};			// char
		// Variable to hold the binary data in the container
		private byte[] qData;
		// Set the binary value of the container
		public void setByteArray(byte[] data) { qData = data;}
		// Get the binary value of the container
		public byte[] getByteArray() {return qData;}
		public String getBuffer() {return new String(qData, 0, qData.length);
		}
		public void setBuffer(String newValue) {setNewValue(newValue, QLINE_D_BUFFER[0], QLINE_D_BUFFER[1]);
		}
		public void setQlineD1(String newValue) {setNewValue(newValue, QLINE_D1[0], QLINE_D1[1]);
		}
		public void setQlineD2(String newValue) {setNewValue(newValue, QLINE_D2[0], QLINE_D2[1]);
		}
		public void setQlineD11(String newValue) {setNewValue(newValue, QLINE_D11[0], QLINE_D11[1]);
		}
		public void setQlineD3(String newValue) {setNewValue(newValue, QLINE_D3[0], QLINE_D3[1]);
		}
		public void setQlineD4(String newValue) {setNewValue(newValue, QLINE_D4[0], QLINE_D4[1]);
		}
		public void setQlineD5(String newValue) {setNewValue(newValue, QLINE_D5[0], QLINE_D5[1]);
		}
		public void setQlineD6(String newValue) {setNewValue(newValue, QLINE_D6[0], QLINE_D6[1]);
		}
		public void setQlineD7(String newValue) {setNewValue(newValue, QLINE_D7[0], QLINE_D7[1]);
		}
		public void setQlineD8(String newValue) {setNewValue(newValue, QLINE_D8[0], QLINE_D8[1]);
		}
		public void setQlineD9(String newValue) {setNewValue(newValue, QLINE_D9[0], QLINE_D9[1]);
		}
		public void setQlineD10(String newValue) {setNewValue(newValue, QLINE_D10[0], QLINE_D10[1]);
		}
		
		private void setNewValue(String newValue, int index, int length) {
	/* 1. create a new byte array to hold the string called tData for temporary data
	 * 2. copy the new tData byte array to the cData byte array one byte at a time Left Justified
	 * 3. pad the cData with spaces up to the length passed in on the call 
	 */
	byte tData[] = newValue.getBytes();		// .step 1.
	int tDatalen = tData.length;
	int pDatalen = qData.length;
	int i = 0;
	while ( i < length && index < pDatalen)
	{
		if ( i < tDatalen )
			qData[index++] = tData[i];
		else
			qData[index++] = 0x40;			
		i++;
	}
}

}
